//
//  NSObject+AVplayerAdapter.m
//  SpringStreamTestAPPNative_AppleTV
//
//  Created by niuhe on 11/04/16.
//  Copyright © 2016 KM Spring. All rights reserved.
//

#import "AVplayerAdapter.h"
/**
 * Implementation of a KMA_StreamAdapter.
 *
 * @see StreamAdapter
 */
@implementation AVplayerAdapter

AVPlayerViewController *controller;
KMA_Player_Meta *meta;

/**
 * Initialize the adapter with the AVPlayerViewController
 *
 * @see https://developer.apple.com/library/ios/documentation/AVFoundation/Reference/AVPlayerViewController_Class/
 *
 */

- (AVplayerAdapter*)adapter:(AVPlayerViewController *)player {
    meta = [[KMA_Player_Meta alloc]init];
    meta.playername = @"AVPlayer";
    meta.screenheight = controller.view.frame.size.height;
    meta.screenwidth = controller.view.frame.size.width;
    controller = player;
    return [super init];
}

-(KMA_Player_Meta*) getMeta {
    return meta;
}

- (int)getPosition {
    return CMTimeGetSeconds(controller.player.currentItem.currentTime);
}

- (int)getDuration {
    return CMTimeGetSeconds(controller.player.currentItem.duration);
}

-(int) getWidth {
    return 0;
}

-(int) getHeight {
    return 0;
}


@end
